﻿@model TrainedTaxonomy


@section Head  {
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jstree/3.2.1/themes/default/style.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.css" />

}





@section Scripts {
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.12.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jstree/3.2.1/jstree.min.js"></script>
    <script src="~/js/jstreegrid.js"></script>


    <script>

        $(function () {

            $("#treeDiv").jstree({
                'core': {
                    'data': {
                        'url': '/TrainedTaxonomy/Nodes?trainedTaxonomyRootId=' + '@Model.Id' + '&testBulkId=' + '@ViewData["testBulkId"]',
                        'data': function (node) {
                            return { 'id': node.id };
                        }
                    },
                },
                'plugins': ['wholerow', 'contextmenu', 'grid'],
                grid: {
                    columns: [{ tree: true, header: "tree", width: 600 },
                    { header: "#Rev", width: 75, value: function (node) { return node.data.reviewCount } },
                        //{ header: "Id", width: 200, value: function (node) { return node.id } }
                    ]
                },
                'contextmenu': {
                    'items': function ($node) {
                        var tree = $("#treeDiv").jstree(true);
                        return {
                            "See Reviews": {
                                "separator_before": false,
                                "separator_after": false,
                                "label": "See Reviews",
                                action: function (obj) {

                                    var newWindow = window.open('/TrainedTaxonomy/SeeReviews?trainedTaxonomyId=' + $node.id + '&testBulkId=' + '@ViewData["testBulkId"]', $node.text, "height=500,width=500");
                                    newWindow.addEventListener('load', function () {
                                        newWindow.document.title = $node.text;
                                    });

                                }
                            },


                        }
                    }
                }
            });
        });



    </script>
}










<section class="content-header">
    <h1>
        TestBulk - @Model.ProcessName
        <small>List</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li>
        <li class="active">Here</li>
    </ol>
</section>
<section class="content">
    <div class="row">
        <!-- left column -->
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">TestBulk - @Model.ProcessName</h3>
                    <div class="box-tools">

                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body table-responsive">
                    <div id="treeDiv"></div>


                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>

    </div>
    <!-- /.row -->
</section>